<?php 

$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','itodoslo_evalle','Vain2009')or die(mysql_error());//EXTERNA
$itodos = 'itodoslo_intranetits';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
	$queryproyecto ="SELECT id_proyecto,proyecto,abreviatura,direccion,email,tel_fijo
					FROM $itodos.tbl_proyecto p "; 
	$resultado = mysql_query($queryproyecto,$conexion2); 
	 if(mysql_num_rows($resultado)> 0){
	while($fila = mysql_fetch_array($resultado)){
			//DATOS PROYECTO
			 $proyecto = $fila['proyecto'];
			 $abreviatura =$fila['abreviatura'];
			 $direccion =$fila['direccion'];
			 $fec_registro=date("Y/m/d");
			 $email = $fila['email'];
			 $telefono = $fila['tel_fijo'];
			 $existeproyecto = buscarproyecto($proyecto,$conexion1);
			 //SI NO EXISTE LA COMUNA PONGO SANTIAGO
			 if($existeproyecto == "1"){
			 	  $updateproyecto = "UPDATE $postventa.tblproyectos SET ABREVIATURA = '$abreviatura', DIRECCION ='$direccion',
						 		  FECHA_REGISTRO='$fec_registro',EMAIL='$email',TEL_FIJO='$telefono' ,PROPIO = '0' WHERE proyecto='$proyecto'";
					if(mysql_query($updateproyecto,$conexion1)){
						echo "ACTUALIZADO"."</br>";
					}
					else{
						echo mysql_error();
					}
			 }
			 else{	
						$insertproyecto	="INSERT INTO $postventa.tblproyectos(PROYECTO, ABREVIATURA, DIRECCION, EMAIL, TEL_FIJO, FECHA_REGISTRO,PROPIO)
										   VALUES ('$proyecto','$abreviatura','$direccion','$email','$telefono','$fec_registro','0')";
						if(mysql_query($insertproyecto,$conexion1)){
							   $id_proyecto_usar = mysql_insert_id($conexion1);
							   $lunes="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','LUNES','7')";
						       $martes="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','MARTES','6')";
						       $miercoles="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','MIERCOLES','5')";
						       $jueves="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','JUEVES','11')";
						       $viernes="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','VIERNES','10')";
						       $sabado="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','SABADO','9')";
						       $domingo="INSERT INTO tblconfigurarcalendariopostventas(ID_PROYECTO,DIA,NUMERO) VALUES ('$id_proyecto_usar','DOMINGO','8')";
							   mysql_query($lunes,$conexion1);
							   mysql_query($martes,$conexion1);
							   mysql_query($miercoles,$conexion1);
							   mysql_query($jueves,$conexion1);
							   mysql_query($viernes,$conexion1);
							   mysql_query($sabado,$conexion1);
							   mysql_query($domingo,$conexion1);				 
						 }
						 else{
						 		echo mysql_error();
						 }
		 		}
		 	}
	}else{
		echo "NO HAY FILAS";
	}

//BUSCAMOS EL PROYECTO
function buscarproyecto($proyecto,$conexion){
	$resultado = mysql_query("SELECT id_proyecto,proyecto FROM pvitls_postventa.tblproyectos WHERE proyecto = '$proyecto'",$conexion); 
	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}

?>